#ifndef PELLET_PROJECTILE_HPP
#define PELLET_PROJECTILE_HPP

#include "projectile.hpp"
#include <godot_cpp/classes/node3d.hpp>

namespace godot {
class PelletProjectile : public Projectile {
    GDCLASS(PelletProjectile, Projectile);
    static void _bind_methods();
public:
    virtual void _enter_tree() override;
    virtual void _physics_process(double delta_time) override;

    bool check_hit(Vector3 next_position);
private:
    float distance_traveled{0.f};
};
}

#endif // !PELLET_PROJECTILE_HPP
